# QVM: Quaternions, Vectors, Matrices

### assign(quat,quat)

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_quat<A>::value && is_quat<B>::value
            template <class A,class B>
            A & assign( A & a, B const & b );
        }
    }

#### Effects:

Copies all elements of the quaternion b to the quaternion a.

#### Returns:

a.

See also: boost/qvm/quat_operations.hpp | convert_to(quat) | normalized(quat) | quat | set_identity(quat) | set_rot(quat,vec,scalar) | set_rotx(quat,scalar) | set_roty(quat,scalar) | set_rotz(quat,scalar) | set_zero(quat)